Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class NumberList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  net.fortuna.ical4j.model.NumberList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List, RandomAccess

    public class NumberList

extends ArrayList
implements Serializable

Defines a list of numbers.

Author:
  Ben Fortuna
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`NumberList()` Default constructor.
`NumberList(int initialCapacity)` Creates a new instance with the specified initial capacity.
`NumberList(String aString)` Constructor.

Method Summary
`boolean` | `add(Integer aNumber)`
`boolean` | `add(Object arg0)` Overrides superclass to throw an `IllegalArgumentException` where argument is not a `java.lang.Integer`.
`boolean` | `remove(Integer aNumber)`
`String` | `toString()`

Methods inherited from class java.util.ArrayList
`add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### NumberList

    public NumberList()

  Default constructor.

### NumberList

    public NumberList(int initialCapacity)

  Creates a new instance with the specified initial capacity.

  Parameters:
    `initialCapacity` - the initial capacity of the list

### NumberList

    public NumberList(String aString)

  Constructor.

  Parameters:
    `aString` - a string representation of a number list

Method Detail

### add

    public final boolean add(Integer aNumber)

  Parameters:
    `aNumber` - a number to add to the list
  Returns:

### add

    public final boolean add(Object arg0)

  Overrides superclass to throw an `IllegalArgumentException` where argument is not a `java.lang.Integer`.

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `List`
  Overrides:
    `add` in class `ArrayList`
  See Also:
    `List#add(E)`

### remove

    public final boolean remove(Integer aNumber)

  Parameters:
    `aNumber` - a number to remove from the list
  Returns:

### toString

    public final String toString()

  Overrides:
    `toString` in class `AbstractCollection`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.